Bug 253815 - lang/python38: switch default version of python from 3.7 to 3.8
Summary: lang/python38: switch default version of python from 3.7 to 3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kai Knoblich
URL:
Keywords:
Depends on: 254270 254423 254424 254425 254426 254427 254501 254502 254503 254504
Blocks: 250799
  Show dependency treegraph
 
Reported: 2021-02-24 14:02 UTC by VVD
Modified: 2021-04-25 19:24 UTC (History)
5 users (show)

See Also:
kai: maintainer-feedback+
vvd: maintainer-feedback?
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2021-02-24 14:02:50 UTC
Just updated default python form 3.7 to 3.8 on my host with 236 ports dependent from python on 12.2 amd64.
Only one multimedia/py-gstreamer1 fails to build - PR with patch waiting from may of 2020: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246574
Comment 2 commit-hook freebsd_committer 2021-02-24 15:24:52 UTC
A commit references this bug:

Author: antoine
Date: Wed Feb 24 15:23:50 UTC 2021
New revision: 566481
URL: https://svnweb.freebsd.org/changeset/ports/566481

Log:
  Unbreak bulk -a with PYTHON3_DEFAULT=3.8

  PR:		253815

Changes:
  head/cad/k40-whisperer/Makefile
  head/sysutils/py-salt-2019/Makefile
  head/www/trac-devel/Makefile
Comment 3 VVD 2021-02-24 15:30:01 UTC
(In reply to commit-hook from comment #2)
> URL: https://svnweb.freebsd.org/changeset/ports/566481
An Exception Has Occurred

Invalid revision
HTTP Response Status

404 Not Found
Comment 4 commit-hook freebsd_committer 2021-02-24 15:49:57 UTC
A commit references this bug:

Author: antoine
Date: Wed Feb 24 15:49:02 UTC 2021
New revision: 566485
URL: https://svnweb.freebsd.org/changeset/ports/566485

Log:
  Unbreak bulk -a with PYTHON3_DEFAULT=3.8

  PR:		253815

Changes:
  head/databases/cassandra4/Makefile
Comment 5 commit-hook freebsd_committer 2021-02-25 21:38:21 UTC
A commit references this bug:

Author: antoine
Date: Thu Feb 25 21:37:26 UTC 2021
New revision: 566564
URL: https://svnweb.freebsd.org/changeset/ports/566564

Log:
  Fix packaging with python 3.8

  PR:		253815

Changes:
  head/security/silktools/pkg-plist
Comment 6 Antoine Brodin freebsd_committer 2021-02-28 20:25:29 UTC
Some new failure logs on 11.4 amd64:

http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-borgbackup-1.1.15.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-sgp4-2.17.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/bshapr-lv2-0.10.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/dragonfly-reverb-3.2.3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/netgen-6.2.2101.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-lirc-0.0.5_4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/elixir-mongo-0.5.4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/ldb15-1.5.6.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-rrdtool-0.1.15.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-xapian-1.4.18.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/gitinspector-py38-0.4.4_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/omniORB-4.2.4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-cld-20150113_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-cysignals-1.10.2_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-Ice37-3.7.2_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-jep-3.9.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-joblib-0.13.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-pymtbl-0.5.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-simpleparse-2.2.2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/trellis-g20190422_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/beancount-2.3.2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/adonthell-0.3.8_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/mypaint-2.0.0_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/intellij-rubymine-2020.2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/cadabra2-2.3.6.4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/e-antic-1.0.0.r.13.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-gmpy2-devel-2.1.0.b5.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-piranha-0.11_7.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-python-igraph-0.8.3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-pyEDFlib-0.1.20.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-xgboost-1.2.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/gpodder-3.10.17.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/resource-agents-4.6.1_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/cjdns-21.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/nbdkit-1.20.4_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/ns3-3.33.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/nsscache-0.41.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/openvswitch-2.15.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-pynmsg-0.5.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/openbabel-3.1.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-dipy-1.3.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-pymatgen-2021.2.16.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/tfel-mfront-3.4.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-ospd-openvas-20.8.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/datadog-integrations-7.23.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/duplicity-0.8.17.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-salt-2019-2019.2.8.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-hunspell-0.5.5_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-word_cloud-1.5.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/redland-bindings-1.0.17.1_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/py38-opentype-sanitizer-8.1.3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/nanogui-g20190922_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/mate-dock-applet-20.04.0_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2021-02-28_18h32m13s/logs/errors/xpra-4.0.6.log
Comment 7 Antoine Brodin freebsd_committer 2021-02-28 20:31:05 UTC
Some new failure logs on 11.4 i386:

http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-borgbackup-1.1.15.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-sgp4-2.17.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/bshapr-lv2-0.10.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/dragonfly-reverb-3.2.3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-lirc-0.0.5_4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/elixir-mongo-0.5.4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/ldb15-1.5.6.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-rrdtool-0.1.15.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-xapian-1.4.18.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/gitinspector-py38-0.4.4_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/omniORB-4.2.4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-cld-20150113_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-cysignals-1.10.2_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-Ice37-3.7.2_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-jep-3.9.1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-joblib-0.13.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-pymtbl-0.5.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-simpleparse-2.2.2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/trellis-g20190422_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/beancount-2.3.2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/adonthell-0.3.8_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/mypaint-2.0.0_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/intellij-rubymine-2020.2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/cadabra2-2.3.6.4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/e-antic-1.0.0.r.13.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-gmpy2-devel-2.1.0.b5.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-piranha-0.11_7.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-python-igraph-0.8.3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-pyEDFlib-0.1.20.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/gpodder-3.10.17.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/resource-agents-4.6.1_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/cjdns-21.1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/nbdkit-1.20.4_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/ns3-3.33.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/nsscache-0.41.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/openvswitch-2.15.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-pynmsg-0.5.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/openbabel-3.1.1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-dipy-1.3.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-pymatgen-2021.2.16.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/tfel-mfront-3.4.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-ospd-openvas-20.8.1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/duplicity-0.8.17.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-salt-2019-2019.2.8.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-hunspell-0.5.5_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-word_cloud-1.5.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/redland-bindings-1.0.17.1_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/py38-opentype-sanitizer-8.1.3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/nanogui-g20190922_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/mate-dock-applet-20.04.0_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2021-02-28_17h43m45s/logs/errors/xpra-4.0.6.log
Comment 8 Antoine Brodin freebsd_committer 2021-03-01 19:04:35 UTC
New failure logs on 12.2 i386:

http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-borgbackup-1.1.15.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-sgp4-2.17.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/bshapr-lv2-0.10.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/dragonfly-reverb-3.2.3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/picard-2.5.6.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/zrythm-1.0.0.a.12.0.1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-lirc-0.0.5_4.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/elixir-mongo-0.5.4.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/ldb15-1.5.6.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-rrdtool-0.1.15.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-xapian-1.4.18.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/recoll-1.27.3_9.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/sysctlview-2.0.1_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/gitinspector-py38-0.4.4_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/omniORB-4.2.4.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-cld-20150113_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-cysignals-1.10.2_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-Ice37-3.7.2_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-jep-3.9.1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-joblib-0.13.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-pymtbl-0.5.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-simpleparse-2.2.2.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/tortoisehg-5.7.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/trellis-g20190422_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/beancount-2.3.2.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/adonthell-0.3.8_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/mypaint-2.0.0_2.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-mayavi-4.7.2_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-python-poppler-qt5-0.75.0_14.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/intellij-rubymine-2020.2.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/cadabra2-2.3.6.4.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/e-antic-1.0.0.r.13.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-gmpy2-devel-2.1.0.b5.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-piranha-0.11_7.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-python-igraph-0.8.3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-pyEDFlib-0.1.20.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/gpodder-3.10.17.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/nagstamon-3.4.1_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/resource-agents-4.6.1_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/cjdns-21.1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/nbdkit-1.20.4_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/ns3-3.33.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/nsscache-0.41.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/openvswitch-2.15.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-pynmsg-0.5.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/openbabel-3.1.1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-dipy-1.3.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-pymatgen-2021.2.16.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/tfel-mfront-3.4.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-ospd-openvas-20.8.1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/angrysearch-1.0.2_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/duplicity-0.8.17.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-salt-2019-2019.2.8.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-hunspell-0.5.5_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-word_cloud-1.5.0.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/redland-bindings-1.0.17.1_3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/nautilus-python-1.2.2_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/py38-opentype-sanitizer-8.1.3.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/nanogui-g20190922_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/mate-dock-applet-20.04.0_1.log
http://pb2.nyi.freebsd.org/data/122i386-default-foo/2021-03-01_09h41m05s/logs/errors/xpra-4.0.6.log
Comment 9 Antoine Brodin freebsd_committer 2021-03-01 19:07:41 UTC
New failure logs on 12.2 amd64:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-borgbackup-1.1.15.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-sgp4-2.17.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/bshapr-lv2-0.10.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/dragonfly-reverb-3.2.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/picard-2.5.6.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/zrythm-1.0.0.a.12.0.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/netgen-6.2.2101.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-lirc-0.0.5_4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/elixir-mongo-0.5.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/ldb15-1.5.6.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-rrdtool-0.1.15.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-xapian-1.4.18.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/recoll-1.27.3_9.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/sysctlview-2.0.1_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/gitinspector-py38-0.4.4_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/omniORB-4.2.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-cld-20150113_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-cysignals-1.10.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-Ice37-3.7.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-jep-3.9.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-joblib-0.13.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-pymtbl-0.5.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-simpleparse-2.2.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/tortoisehg-5.7.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/trellis-g20190422_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/beancount-2.3.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/adonthell-0.3.8_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/anki-2.1.35_5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/mypaint-2.0.0_2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-mayavi-4.7.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-python-poppler-qt5-0.75.0_14.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/intellij-rubymine-2020.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/cadabra2-2.3.6.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/e-antic-1.0.0.r.13.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-gmpy2-devel-2.1.0.b5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-piranha-0.11_7.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-python-igraph-0.8.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-pyEDFlib-0.1.20.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-xgboost-1.2.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/gpodder-3.10.17.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/mythtv-31.0,1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/nagstamon-3.4.1_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/resource-agents-4.6.1_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/cjdns-21.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/nbdkit-1.20.4_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/ns3-3.33.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/nsscache-0.41.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/openvswitch-2.15.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-pynmsg-0.5.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/openbabel-3.1.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-dipy-1.3.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-pymatgen-2021.2.16.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/tfel-mfront-3.4.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-ospd-openvas-20.8.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/angrysearch-1.0.2_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/datadog-integrations-7.23.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/duplicity-0.8.17.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-salt-2019-2019.2.8.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-hunspell-0.5.5_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-word_cloud-1.5.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/redland-bindings-1.0.17.1_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/nautilus-python-1.2.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/py38-opentype-sanitizer-8.1.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/nanogui-g20190922_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/mate-dock-applet-20.04.0_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-03-01_12h53m43s/logs/errors/xpra-4.0.6.log
Comment 10 commit-hook freebsd_committer 2021-03-02 14:29:23 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 14:28:23 UTC 2021
New revision: 566953
URL: https://svnweb.freebsd.org/changeset/ports/566953

Log:
  multimedia/gpodder: Fix pkg-plist issues with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)
  MFH:		2021Q1

Changes:
  head/multimedia/gpodder/pkg-plist
Comment 11 commit-hook freebsd_committer 2021-03-02 14:30:24 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 14:30:07 UTC 2021
New revision: 566955
URL: https://svnweb.freebsd.org/changeset/ports/566955

Log:
  science/openbabel: Fix pkg-plist issues with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/science/openbabel/pkg-plist
Comment 12 commit-hook freebsd_committer 2021-03-02 14:32:25 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 14:31:24 UTC 2021
New revision: 566956
URL: https://svnweb.freebsd.org/changeset/ports/566956

Log:
  science/py-dipy: Fix pkg-plist issues with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/science/py-dipy/pkg-plist
Comment 13 commit-hook freebsd_committer 2021-03-02 14:35:27 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 14:34:45 UTC 2021
New revision: 566957
URL: https://svnweb.freebsd.org/changeset/ports/566957

Log:
  MFH: r566953

  multimedia/gpodder: Fix pkg-plist issues with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

  Approved by:	ports-secteam (implicit, build fix)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/multimedia/gpodder/pkg-plist
Comment 14 commit-hook freebsd_committer 2021-03-02 18:28:04 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 18:27:26 UTC 2021
New revision: 566973
URL: https://svnweb.freebsd.org/changeset/ports/566973

Log:
  math/py-python-igraph: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/math/py-python-igraph/pkg-plist
Comment 15 commit-hook freebsd_committer 2021-03-02 18:31:06 UTC
A commit references this bug:

Author: kai
Date: Tue Mar  2 18:30:45 UTC 2021
New revision: 566974
URL: https://svnweb.freebsd.org/changeset/ports/566974

Log:
  net/ns3: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/net/ns3/pkg-plist
Comment 16 Kai Knoblich freebsd_committer 2021-03-02 19:11:57 UTC
For the sake of completeness:

- archivers/py-borgbackup should be fixed via ports r566802
- sysutils/py-salt-2019 was removed via ports r566969
Comment 17 commit-hook freebsd_committer 2021-03-03 11:08:47 UTC
A commit references this bug:

Author: fluffy
Date: Wed Mar  3 11:08:24 UTC 2021
New revision: 567065
URL: https://svnweb.freebsd.org/changeset/ports/567065

Log:
  net/openvswitch: Unbreak build with python3.8+

  PR:		253815
  Approved by:	python

Changes:
  head/net/openvswitch/Makefile
  head/net/openvswitch/files/patch-configure
Comment 18 commit-hook freebsd_committer 2021-03-03 11:11:49 UTC
A commit references this bug:

Author: fluffy
Date: Wed Mar  3 11:10:50 UTC 2021
New revision: 567066
URL: https://svnweb.freebsd.org/changeset/ports/567066

Log:
  net/cjdns:	Unbreak build with python3.8+

  PR:		253815
  Approved by:	python

Changes:
  head/net/cjdns/files/patch-node__build_FindPython.js
Comment 19 commit-hook freebsd_committer 2021-03-03 11:13:50 UTC
A commit references this bug:

Author: fluffy
Date: Wed Mar  3 11:12:49 UTC 2021
New revision: 567067
URL: https://svnweb.freebsd.org/changeset/ports/567067

Log:
  databases/ldb15:	Unbreak build with python3.8+

  While here, add missed dependency on gettext-runtime

  PR:		253815
  Approved by:	python

Changes:
  head/databases/ldb15/Makefile
Comment 20 commit-hook freebsd_committer 2021-03-03 11:33:57 UTC
A commit references this bug:

Author: fluffy
Date: Wed Mar  3 11:33:16 UTC 2021
New revision: 567072
URL: https://svnweb.freebsd.org/changeset/ports/567072

Log:
  databases/ldb2[012]:	Unbreak build with python3.8+

  PR:		253815
  Approved by:	python

Changes:
  head/databases/ldb20/Makefile
  head/databases/ldb21/Makefile
  head/databases/ldb22/Makefile
Comment 21 commit-hook freebsd_committer 2021-03-03 12:29:07 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 12:28:19 UTC 2021
New revision: 567078
URL: https://svnweb.freebsd.org/changeset/ports/567078

Log:
  multimedia/mythtv: Fix packaging with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/multimedia/mythtv/pkg-plist
Comment 22 commit-hook freebsd_committer 2021-03-03 12:31:09 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 12:30:11 UTC 2021
New revision: 567079
URL: https://svnweb.freebsd.org/changeset/ports/567079

Log:
  x11/mate-dock-applet: Fix pkg-plist issues with non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/x11/mate-dock-applet/pkg-plist
Comment 23 commit-hook freebsd_committer 2021-03-03 13:19:17 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 13:18:52 UTC 2021
New revision: 567080
URL: https://svnweb.freebsd.org/changeset/ports/567080

Log:
  deskutils/recoll: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/deskutils/recoll/pkg-plist
Comment 24 commit-hook freebsd_committer 2021-03-03 13:21:18 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 13:20:35 UTC 2021
New revision: 567081
URL: https://svnweb.freebsd.org/changeset/ports/567081

Log:
  textproc/py-wordcloud: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/textproc/py-wordcloud/pkg-plist
Comment 25 commit-hook freebsd_committer 2021-03-03 13:37:22 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 13:37:11 UTC 2021
New revision: 567082
URL: https://svnweb.freebsd.org/changeset/ports/567082

Log:
  x11/xpra: Fix packaging with Python 3.8

  While I'm here:

  * Fix pkg-plist entries of the AVAHI option which contained hardcoded Python
    version artifacts.

  * Add "noflavors" to USE_PYTHON to avoid package name collisions if built
    with "BUILD_ALL_PYTHON_FLAVORS".

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/x11/xpra/Makefile
  head/x11/xpra/pkg-plist
Comment 26 commit-hook freebsd_committer 2021-03-03 18:05:14 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 18:04:30 UTC 2021
New revision: 567106
URL: https://svnweb.freebsd.org/changeset/ports/567106

Log:
  audio/picard: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead of PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/audio/picard/Makefile
Comment 27 commit-hook freebsd_committer 2021-03-03 18:07:16 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 18:06:31 UTC 2021
New revision: 567108
URL: https://svnweb.freebsd.org/changeset/ports/567108

Log:
  finance/beancount: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/finance/beancount/Makefile
Comment 28 commit-hook freebsd_committer 2021-03-03 18:09:17 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 18:08:32 UTC 2021
New revision: 567133
URL: https://svnweb.freebsd.org/changeset/ports/567133

Log:
  graphics/py-mayavi: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/graphics/py-mayavi/Makefile
Comment 29 commit-hook freebsd_committer 2021-03-03 18:13:20 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 18:11:20 UTC 2021
New revision: 567164
URL: https://svnweb.freebsd.org/changeset/ports/567164

Log:
  devel/tortoisehg: Fix pkg-plist issues with non-default versions of Python

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/devel/tortoisehg/pkg-plist
Comment 30 commit-hook freebsd_committer 2021-03-03 18:24:26 UTC
A commit references this bug:

Author: kai
Date: Wed Mar  3 18:23:55 UTC 2021
New revision: 567246
URL: https://svnweb.freebsd.org/changeset/ports/567246

Log:
  graphics/mypaint: Fix packaging with Python 3.8

  * Also apply the same fix as in r559094 by stripping libraries by wildcard
    paths.

  * Add "noflavors" to USE_PYTHON as well to avoid package name collisions if
    built with "BUILD_ALL_PYTHON_FLAVORS".

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/graphics/mypaint/Makefile
  head/graphics/mypaint/pkg-plist
Comment 31 commit-hook freebsd_committer 2021-03-04 11:23:24 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:22:37 UTC 2021
New revision: 567300
URL: https://svnweb.freebsd.org/changeset/ports/567300

Log:
  cad/netgen: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/cad/netgen/pkg-plist
Comment 32 commit-hook freebsd_committer 2021-03-04 11:25:26 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:24:35 UTC 2021
New revision: 567301
URL: https://svnweb.freebsd.org/changeset/ports/567301

Log:
  databases/py-rrdtool: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/databases/py-rrdtool/Makefile
Comment 33 commit-hook freebsd_committer 2021-03-04 11:26:27 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:26:17 UTC 2021
New revision: 567302
URL: https://svnweb.freebsd.org/changeset/ports/567302

Log:
  misc/py-pyEDFlib: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/misc/py-pyEDFlib/Makefile
Comment 34 commit-hook freebsd_committer 2021-03-04 11:29:28 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:28:49 UTC 2021
New revision: 567304
URL: https://svnweb.freebsd.org/changeset/ports/567304

Log:
  net/py-pynmsg: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/net/py-pynmsg/Makefile
Comment 35 commit-hook freebsd_committer 2021-03-04 11:32:30 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:32:08 UTC 2021
New revision: 567305
URL: https://svnweb.freebsd.org/changeset/ports/567305

Log:
  sysutils/datadog-integrations: Fix pkg-plist for non-default Python versions

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/sysutils/datadog-integrations/pkg-plist
Comment 36 commit-hook freebsd_committer 2021-03-04 11:34:31 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:33:34 UTC 2021
New revision: 567306
URL: https://svnweb.freebsd.org/changeset/ports/567306

Log:
  textproc/redland-bindings: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/textproc/redland-bindings/pkg-plist
Comment 37 commit-hook freebsd_committer 2021-03-04 11:37:32 UTC
A commit references this bug:

Author: kai
Date: Thu Mar  4 11:36:33 UTC 2021
New revision: 567307
URL: https://svnweb.freebsd.org/changeset/ports/567307

Log:
  x11-toolkits/nanogui: Fix packaging with Python 3.8

  * Also apply the same fix as in r559094 by stripping libraries by wildcard
    paths.

  * Use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the port
    PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/x11-toolkits/nanogui/Makefile
  head/x11-toolkits/nanogui/pkg-plist
Comment 38 commit-hook freebsd_committer 2021-03-06 12:07:19 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 12:07:17 UTC 2021
New revision: 567484
URL: https://svnweb.freebsd.org/changeset/ports/567484

Log:
  devel/omniORB: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/omniORB/pkg-plist
Comment 39 commit-hook freebsd_committer 2021-03-06 12:11:22 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 12:10:56 UTC 2021
New revision: 567488
URL: https://svnweb.freebsd.org/changeset/ports/567488

Log:
  devel/py-cld: Fix packaging with Python 3.8

  * Also pet portlint by replacing PLIST_FILES entries with make variables.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/py-cld/Makefile
Comment 40 commit-hook freebsd_committer 2021-03-06 12:13:23 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 12:12:27 UTC 2021
New revision: 567489
URL: https://svnweb.freebsd.org/changeset/ports/567489

Log:
  devel/py-pymtbl: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/py-pymtbl/Makefile
Comment 41 commit-hook freebsd_committer 2021-03-06 12:14:24 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 12:13:58 UTC 2021
New revision: 567490
URL: https://svnweb.freebsd.org/changeset/ports/567490

Log:
  science/py-pymatgen: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/science/py-pymatgen/Makefile
Comment 42 commit-hook freebsd_committer 2021-03-06 12:16:26 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 12:16:04 UTC 2021
New revision: 567491
URL: https://svnweb.freebsd.org/changeset/ports/567491

Log:
  sysutils/duplicity: Fix packaging with Python 3.8

  * Apply the same fix as in r559094 by stripping libraries by wildcard paths.

  * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make the
    port PREFIX safe while I'm here.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/sysutils/duplicity/Makefile
Comment 43 commit-hook freebsd_committer 2021-03-06 13:16:35 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 13:15:43 UTC 2021
New revision: 567492
URL: https://svnweb.freebsd.org/changeset/ports/567492

Log:
  devel/py-jep: Really fix packaging with Python 3.8

  * Partially revert r559080 as only one shared library gets the new
    PYTHON_EXT_SUFFIX extension if built with Python 3.8.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/py-jep/pkg-plist
Comment 44 commit-hook freebsd_committer 2021-03-06 13:53:42 UTC
A commit references this bug:

Author: kai
Date: Sat Mar  6 13:53:20 UTC 2021
New revision: 567493
URL: https://svnweb.freebsd.org/changeset/ports/567493

Log:
  security/py-ospd-openvas: Fix pkg-plist for non-default versions of Python

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/security/py-ospd-openvas/pkg-plist
Comment 45 commit-hook freebsd_committer 2021-03-11 12:24:08 UTC
A commit references this bug:

Author: kai
Date: Thu Mar 11 12:23:50 UTC 2021
New revision: 568083
URL: https://svnweb.freebsd.org/changeset/ports/568083

Log:
  net-mgmt/resource-agents: Fix packaging with non-default Python versions

  * Replace an occurrence in pkg-plist where PYTHON_VER shouldn't be used as
    a substitution.

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/net-mgmt/resource-agents/pkg-plist
Comment 46 commit-hook freebsd_committer 2021-03-11 12:28:10 UTC
A commit references this bug:

Author: kai
Date: Thu Mar 11 12:27:22 UTC 2021
New revision: 568084
URL: https://svnweb.freebsd.org/changeset/ports/568084

Log:
  java/intellij-rubymine: Fix packaging with non-default Python versions

  * Replace a few occurrences in pkg-plist where PYTHON_VER shouldn't be used
    as a substitution.

  PR:		253815
  Approved by:	portmgr (build fix)
  MFH:		2021Q1

Changes:
  head/java/intellij-rubymine/pkg-plist
Comment 47 commit-hook freebsd_committer 2021-03-11 12:29:11 UTC
A commit references this bug:

Author: kai
Date: Thu Mar 11 12:28:52 UTC 2021
New revision: 568085
URL: https://svnweb.freebsd.org/changeset/ports/568085

Log:
  MFH: r568084

  java/intellij-rubymine: Fix packaging with non-default Python versions

  * Replace a few occurrences in pkg-plist where PYTHON_VER shouldn't be used
    as a substitution.

  PR:		253815
  Approved by:	portmgr (build fix)

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/java/intellij-rubymine/pkg-plist
Comment 48 commit-hook freebsd_committer 2021-03-14 10:51:04 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 10:50:05 UTC 2021
New revision: 568376
URL: https://svnweb.freebsd.org/changeset/ports/568376

Log:
  devel/trellis: Fix build with Python 3.8

  * Backport patch from upstream repository to add Python 3.8 to the search
    range.

  Excerpt from the log:

  -- Could NOT find Boost (missing: python-3.8) (found version "1.72.0")
  CMake Error at CMakeLists.txt:82 (message):
    No version of Boost::Python 3.x could be found.

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/devel/trellis/Makefile
  head/devel/trellis/distinfo
Comment 49 commit-hook freebsd_committer 2021-03-14 10:54:06 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 10:53:05 UTC 2021
New revision: 568377
URL: https://svnweb.freebsd.org/changeset/ports/568377

Log:
  games/adonthell: Fix linking with Python 3.8 and onwards

  * Link against libpython via the "--embed" flag for Python 3.8 and onwards.

  Excerpt from the log:

  main.o: In function `main':
  main.cc:(.text+0x1af): undefined reference to `PyImport_AppendInittab'
  main.cc:(.text+0x1c2): undefined reference to `Py_DecodeLocale'
  main.cc:(.text+0x1cf): undefined reference to `Py_SetProgramName'
  main.cc:(.text+0x4e9): undefined reference to `PyModule_GetDict'
  [...]

  PR:		253815

Changes:
  head/games/adonthell/Makefile
Comment 50 commit-hook freebsd_committer 2021-03-14 11:02:09 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 11:01:49 UTC 2021
New revision: 568378
URL: https://svnweb.freebsd.org/changeset/ports/568378

Log:
  math/py-piranha: Fix build with Python 3.8 and 3.9

  * Adjust regexp pattern to make builds with Python 3.8/3.9 possible and
    remove Python 2 support from it while I'm here because the port is
    Python 3 only since r559531.

  Excerpt from the log:

  ninja: error: '/usr/local/lib/libpython3.8m.so', needed by 'pyranha/_core.so', missing and no known rule to make it

  PR:		253815
  Approved by:	portmgr (build fix)

Changes:
  head/math/py-piranha/Makefile
Comment 51 commit-hook freebsd_committer 2021-03-14 16:11:59 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 16:11:34 UTC 2021
New revision: 568398
URL: https://svnweb.freebsd.org/changeset/ports/568398

Log:
  devel/py-cysignals: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/py-cysignals/pkg-plist
Comment 52 commit-hook freebsd_committer 2021-03-14 16:15:01 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 16:14:03 UTC 2021
New revision: 568399
URL: https://svnweb.freebsd.org/changeset/ports/568399

Log:
  math/py-gmpy2-devel: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/math/py-gmpy2-devel/pkg-plist
Comment 53 commit-hook freebsd_committer 2021-03-14 16:22:04 UTC
A commit references this bug:

Author: kai
Date: Sun Mar 14 16:21:42 UTC 2021
New revision: 568400
URL: https://svnweb.freebsd.org/changeset/ports/568400

Log:
  misc/py-xgboost: Fix packaging with Python 3.8

  * While I'm here, level up port compliance (strip shared library).

  * Bump PORTREVISION due changed package contents.

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/misc/py-xgboost/Makefile
Comment 54 VVD 2021-03-20 08:25:17 UTC
How many left?
Comment 55 commit-hook freebsd_committer 2021-03-20 08:39:36 UTC
A commit references this bug:

Author: kai
Date: Sat Mar 20 08:39:27 UTC 2021
New revision: 568854
URL: https://svnweb.freebsd.org/changeset/ports/568854

Log:
  games/anki: Fix packaging with Python 3.8

  * Add a workaround to make the transition from Python 3.7 to Python 3.8
    possible because the name of the .so file is slightly different between
    the two releases.

  * Also add CARGO_INSTALL to avoid warnings about ignored duplicate scripts
    for the target "do-install".

  PR:		253815

Changes:
  head/games/anki/Makefile
  head/games/anki/pkg-plist
Comment 56 Kai Knoblich freebsd_committer 2021-03-20 09:30:09 UTC
(In reply to VVD from comment #54)

At the moment there are only following ports left if you don't include the bugs from "Depends on" that are still open:

- comms/py-lirc (can be ignored, because it's not compatible with Python 3.x, see also bug #254271)
- devel/gitinspector
- sysutils/nagstamon
- devel/py-ice37
- x11-fonts/py-opentype-sanitizer


Following ports are already fixed:

- astro/py-sgp4, fixed in ports r567103
- databases/py-xapian, fixed in ports r567134
- devel/py-simpleparse, fixed in ports r567689
- math/e-antic, fixed in ports r567326
- science/tfel, fixed in ports r566814
- textproc/py-hunspell, fixed in ports r567326
Comment 57 commit-hook freebsd_committer 2021-03-29 16:36:49 UTC
A commit references this bug:

Author: kai
Date: Mon Mar 29 16:36:40 UTC 2021
New revision: 569483
URL: https://svnweb.freebsd.org/changeset/ports/569483

Log:
  comms/py-lirc: Mark as DEPRECATED

  * The package isn't compatible with Python 3 and has not received any
    updates by upstream for more than 15 years.

  PR:		254271, 253815 (related)
  Approved by:	maintainer timeout (14 days)

Changes:
  head/comms/py-lirc/Makefile
Comment 58 commit-hook freebsd_committer 2021-03-29 16:55:53 UTC
A commit references this bug:

Author: kai
Date: Mon Mar 29 16:54:54 UTC 2021
New revision: 569485
URL: https://svnweb.freebsd.org/changeset/ports/569485

Log:
  devel/py-omniorb: Fix packaging with Python 3.8

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/devel/py-omniorb/pkg-plist
Comment 59 commit-hook freebsd_committer 2021-03-29 16:56:54 UTC
A commit references this bug:

Author: kai
Date: Mon Mar 29 16:56:45 UTC 2021
New revision: 569486
URL: https://svnweb.freebsd.org/changeset/ports/569486

Log:
  net-mgmt/net-snmp: Fix packaging with Python 3.8 if option PYTHON is set

  PR:		253815
  Approved by:	python (with hat)

Changes:
  head/net-mgmt/net-snmp/pkg-plist
Comment 60 Kai Knoblich freebsd_committer 2021-04-16 10:45:39 UTC
Following ports are false positives and are not related to Python 3.8:

- audio/bshapr-lv2 (intermittent build failures, fixed)
- audio/dragonfly-reverb-lv2 (missing dependency on shells/bash, fixed)
- audio/zrythm (missing dependency on shells/bash, fixed)
- databases/elixir-mongo (already broken for some time)
- net/nbdkit (missing dependency on shells/bash-completion, fixed)
- deskutils/sysctlview (missing header files, fixed)

All open PRs that were blockers are closed as well, therefore another exp-run could be started.
Comment 61 Antoine Brodin freebsd_committer 2021-04-16 11:44:53 UTC
A note:  those ports will need a PORTREVISION bump as the concurrent symlinks change when default version of python changes

devel/py-setuptools
lang/cython
math/py-numpy
Comment 63 Antoine Brodin freebsd_committer 2021-04-19 08:06:08 UTC
New failure logs on 12.2 amd64:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-pyBigWig-0.3.18.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-lirc-0.0.5_4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/pycharm-pro-2020.3.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-box2d-py-2.3.8_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-openimageio-2.2.13.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-pandana-0.6.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-django-mailbox-4.8.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-cypari2-2.1.2.b1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-fpylll-0.5.5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-Mathics3-2.1.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-pplpy-0.8.7_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/ibus-typing-booster-2.11.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-django-advanced-filters-1.3.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-04-16_11h51m44s/logs/errors/py38-http-parser-0.9.0.log
Comment 64 commit-hook freebsd_committer 2021-04-19 14:57:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=903b912a3ba39337ea0a60d71c62ee90f0d72e3c

commit 903b912a3ba39337ea0a60d71c62ee90f0d72e3c
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:50:22 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:15 +0000

    www/py-http-parser: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make
      the port PREFIX safe while I'm here.

    PR:             253815
    Approved by:    python (with hat)

 www/py-http-parser/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 65 commit-hook freebsd_committer 2021-04-19 14:57:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e837be8809539572c7bdb020dbeadc6269a6382d

commit e837be8809539572c7bdb020dbeadc6269a6382d
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:48:05 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:14 +0000

    math/py-pplpy: Fix packaging with Python 3.8+

    PR:             253815
    Approved by:    python (with hat)

 math/py-pplpy/pkg-plist | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)
Comment 66 commit-hook freebsd_committer 2021-04-19 14:57:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=70c2c6806ca3e891bc6ea1c4c710f14c34df63c2

commit 70c2c6806ca3e891bc6ea1c4c710f14c34df63c2
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:49:03 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:15 +0000

    textproc/ibus-typing-booster: Adjust *_DEPENDS for Python 3.8+

    * Since Python 3.8.7 (and also 3.9.2), .so files get an extension, e.g.
      ".cpython-38.so" if built with Python 3.8.

      Thus check for the presence of the Python packages instead of the
      actual .so files.

    PR:             253815
    Approved by:    thierry (maintainer, via e-mail)

 textproc/ibus-typing-booster/Makefile | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)
Comment 67 commit-hook freebsd_committer 2021-04-19 14:57:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9608cd9fec07286a3c50bd300fa2b880efcc19f

commit a9608cd9fec07286a3c50bd300fa2b880efcc19f
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:47:16 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:14 +0000

    math/py-mathics: Fix packaging with Python 3.8+

    PR:             253815
    Approved by:    python (with hat)

 math/py-mathics/pkg-plist | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)
Comment 68 commit-hook freebsd_committer 2021-04-19 14:57:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3d0d4f15227d347bd194030b7179bfcc979ebc46

commit 3d0d4f15227d347bd194030b7179bfcc979ebc46
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:45:29 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:14 +0000

    math/py-cypari2: Fix packaging with Python 3.8+

    PR:             253815
    Approved by:    python (with hat)

 math/py-cypari2/pkg-plist | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)
Comment 69 commit-hook freebsd_committer 2021-04-19 14:57:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f683a69deb6c4645b36c4a1d8272a18e99f57d10

commit f683a69deb6c4645b36c4a1d8272a18e99f57d10
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:44:34 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:14 +0000

    graphics/py-box2d-py: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    PR:             253815
    Approved by:    python (with hat)

 graphics/py-box2d-py/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 70 commit-hook freebsd_committer 2021-04-19 14:57:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cd5b03f6927ebf6c3966816a91b10ea223a84910

commit cd5b03f6927ebf6c3966816a91b10ea223a84910
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:41:42 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:13 +0000

    graphics/py-openimageio: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      using wildcard paths and adjust the pkg-plist for the Python bindings
      as well.

    * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make
      the port PREFIX safe while I'm here.

    PR:             253815
    Approved by:    python (with hat)

 graphics/openimageio/Makefile         | 4 ++--
 graphics/openimageio/pkg-plist-pybind | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 71 commit-hook freebsd_committer 2021-04-19 14:57:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=980acd02507f9efef60f5aaf9aff71bb952571ff

commit 980acd02507f9efef60f5aaf9aff71bb952571ff
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:36:07 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:13 +0000

    devel/pycharm-pro: Fix staging with non-default Python versions

    * Replace two occurrences in pkg-plist where PYTHON_VER shouldn't be
      used as a substitution because "3.7" is really hardcoded in the paths.

    PR:             253815
    Approved by:    portmgr (build fix)
    MFH:            2021Q2

 devel/pycharm-pro/pkg-plist | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 72 commit-hook freebsd_committer 2021-04-19 14:57:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce6dbe20f5d115cb325043d4154275ce5fcae694

commit ce6dbe20f5d115cb325043d4154275ce5fcae694
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:46:17 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-19 14:53:14 +0000

    math/py-fpylll: Fix packaging with Python 3.8+

    PR:             253815
    Approved by:    python (with hat)

 math/py-fpylll/pkg-plist | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)
Comment 73 commit-hook freebsd_committer 2021-04-21 07:58:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=256e9bc3b5b97069231e16e2be057e313e9bb7bc

commit 256e9bc3b5b97069231e16e2be057e313e9bb7bc
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-21 07:44:44 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-21 07:44:44 +0000

    biology/py-crossmap: Fix build with Python 3.8+

    * Add missing dependency devel/py-nose that is required to build.  With
      Python 3.6/3.7 there are no build issues because the sdist contains
      Python Eggs of "nose" for these versions.

    While I'm here:

    * Set NO_ARCH because the port has no architecture specific files.
    * Make it concurrent safe, package installs a script and bump
      PORTREVISION due package change.

    PR:             253815
    Approved by:    portmgr (build fix)
    MFH:            No (The port was added after the 2021Q1 branch)

 biology/py-crossmap/Makefile | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 74 commit-hook freebsd_committer 2021-04-21 07:58:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e8c9857f5d7d32b517418fb317e827718430442b

commit e8c9857f5d7d32b517418fb317e827718430442b
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-21 07:43:16 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-21 07:43:16 +0000

    graphics/py-pandana: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make
      the port PREFIX safe while I'm here.

    PR:             253815
    Approved by:    python (with hat)

 graphics/py-pandana/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 75 commit-hook freebsd_committer 2021-04-21 07:58:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=aaa6b0fc85596d6097f173d5bad6a7cbd65e9fda

commit aaa6b0fc85596d6097f173d5bad6a7cbd65e9fda
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-21 07:41:29 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-21 07:41:29 +0000

    biology/py-bigwig: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make
      the port PREFIX safe while I'm here.

    PR:             253815
    Approved by:    python (with hat)

 biology/py-bigwig/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 76 commit-hook freebsd_committer 2021-04-21 07:58:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=89e195bd72654979baad36bcba33d17063986666

commit 89e195bd72654979baad36bcba33d17063986666
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-21 07:51:53 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-21 07:51:53 +0000

    math/sage: Fix packaging with Python 3.8+

    PR:             253815
    Approved by:    python (with hat)

 math/sage/pkg-plist | 1044 +++++++++++++++++++++++++--------------------------
 1 file changed, 522 insertions(+), 522 deletions(-)
Comment 77 commit-hook freebsd_committer 2021-04-21 08:07:53 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8e7d4134d37fbdb3b1ad004b30139da27e74c8a7

commit 8e7d4134d37fbdb3b1ad004b30139da27e74c8a7
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-19 14:36:07 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-21 08:02:18 +0000

    devel/pycharm-pro: Fix staging with non-default Python versions

    * Replace two occurrences in pkg-plist where PYTHON_VER shouldn't be
      used as a substitution because "3.7" is really hardcoded in the paths.

    PR:             253815
    Approved by:    portmgr (build fix)
    MFH:            2021Q2

    (cherry picked from commit 980acd02507f9efef60f5aaf9aff71bb952571ff)

 devel/pycharm-pro/pkg-plist | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 78 Kai Knoblich freebsd_committer 2021-04-21 08:18:46 UTC
Following ports are false positives and are not related to Python 3.8:

- comms/py-lirc (was already set to expired and is gone now)
- mail/py-django-mailbox (issues with the makefile, fixed)
- www/py-django-advanced-filters (issues with the makefile, fixed)

The remaining ports (including biology/py-crossmap and math/sage) should be fixed so another exp-run could be started.

(In reply to Antoine Brodin from comment #61)

Thanks for your pointer, this will be taken into account once the exp-run is ok.
Comment 79 commit-hook freebsd_committer 2021-04-23 06:07:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4895c07d415b2ff07fdf2cb33e4eb2a45094ad0a

commit 4895c07d415b2ff07fdf2cb33e4eb2a45094ad0a
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-23 05:58:00 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-23 06:04:22 +0000

    graphics/py-ueberzug: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    * Also use PYTHONPREFIX_SITELIBDIR instead PYTHON_SITELIBDIR to make
      the port PREFIX safe while I'm here.

    PR:             253815
    Approved by:    python (with hat)

 graphics/py-ueberzug/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 80 commit-hook freebsd_committer 2021-04-23 06:07:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4503deb52cb75cc5e9c2f350413d3e505b75a939

commit 4503deb52cb75cc5e9c2f350413d3e505b75a939
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-23 05:55:53 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-23 06:04:21 +0000

    devel/py-bitarray: Fix packaging with Python 3.8+

    * Apply the same fix as in 9cb5898561b302d952fec8e2fac66a945a2c4915 by
      stripping libraries by wildcard paths.

    PR:             253815
    Approved by:    python (with hat)

 devel/py-bitarray/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 81 Antoine Brodin freebsd_committer 2021-04-25 17:56:33 UTC
Exp-run looks fine
Comment 82 commit-hook freebsd_committer 2021-04-25 19:00:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=210ee04dd3c3f2e82cd3130e412866a182066859

commit 210ee04dd3c3f2e82cd3130e412866a182066859
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-25 18:54:27 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-25 18:54:27 +0000

    *: Add UPDATING entry of the Python 3.7 to 3.8 switchover

    Add appropriately adapted upgrading instructions that have resulted
    from the experience gained from the previous (Python 3.6 to 3.7)
    switchover.

    PR:             253815

 UPDATING | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
Comment 83 commit-hook freebsd_committer 2021-04-25 19:00:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6cd3db2d03cc544c5893e41dbbacd2000fcbd35a

commit 6cd3db2d03cc544c5893e41dbbacd2000fcbd35a
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-25 18:48:44 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-25 18:48:44 +0000

    *: Switch default version of python and python3 from 3.7 to 3.8

    PR:             253815
    Reported by:    VVD <vvd@unislabs.com>
    Approved by:    kai (python, maintainer)
    Exp-run by:     antoine

 Mk/Uses/python.mk          | 2 +-
 Mk/bsd.default-versions.mk | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 84 commit-hook freebsd_committer 2021-04-25 19:00:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=26d8faac23752e2fc666fb9aaf103660c132360a

commit 26d8faac23752e2fc666fb9aaf103660c132360a
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-25 18:50:30 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-25 18:50:30 +0000

    *: Bump a few ports after the Python 3.7 to 3.8 switchover

    Bump the PORTREVISION of the following ports as the concurrent symlinks
    change with a new default version of Python:

    * devel/py-setuptools
    * lang/cython
    * math/py-numpy

    This is a follow-up to 6cd3db2d03cc544c5893e41dbbacd2000fcbd35a .

    PR:             253815
    Approved by:    kai (python, maintainer)

 devel/py-setuptools/Makefile | 1 +
 lang/cython/Makefile         | 1 +
 math/py-numpy/Makefile       | 1 +
 3 files changed, 3 insertions(+)
Comment 85 Kai Knoblich freebsd_committer 2021-04-25 19:24:37 UTC
All finished, thanks to VVD for reporting, many thanks to Antoine for the multiple exp-runs and of course everyone else who was involved!